Class Fox::FXFrame

In: | FXFrame.rb
Parent: | FXWindow

Base frame

### Constants

`DEFAULT_PAD`: | Default padding

Methods

new

Attributes

baseColor | [RW] | Base GUI color [FXColor]
borderColor | [RW] | Border color [FXColor]
borderWidth | [R] | Border width, in pixels [Integer]
frameStyle | [RW] | Frame style [Integer]
hiliteColor | [RW] | Highlight color [FXColor]
padBottom | [RW] | Bottom interior padding, in pixels [Integer]
padLeft | [RW] | Left interior padding, in pixels [Integer]
padRight | [RW] | Right interior padding, in pixels [Integer]
padTop | [RW] | Top interior padding, in pixels [Integer]
shadowColor | [RW] | Shadow color [FXColor]

Public Class methods

new(parent, opts=FRAME_NORMAL, x=0, y=0, width=0, height=0, padLeft=DEFAULT_PAD, padRight=DEFAULT_PAD, padTop=DEFAULT_PAD, padBottom=DEFAULT_PAD) {|theFrame| ...}

Construct frame window.